//
//  c.swift
//  Introduce
//
//  Created by 胡志强 on 2021/11/29.
//

import BFCommonKit
import BFUIKit
import Foundation
import UIKit

class INTabbarController: UITabBarController {
    override func viewDidLoad() {
        super.viewDidLoad()

        setValue(BFTabBar(), forKey: "tabBar")
        // 去掉默认的半透明色
        tabBar.isTranslucent = false
        tabBar.tintColor = UIColor.white
        tabBar.backgroundColor = UIColor.black
        tabBar.barTintColor = UIColor.black
        UITabBarItem.appearance().setTitleTextAttributes([NSAttributedString.Key.foregroundColor: UIColor.hexColor(hexadecimal: "#666666"), NSAttributedString.Key.font: UIFont.systemFont(ofSize: 10, weight: .semibold)], for: .normal)
        UITabBarItem.appearance().setTitleTextAttributes([NSAttributedString.Key.foregroundColor: UIColor.white, NSAttributedString.Key.font: UIFont.systemFont(ofSize: 10, weight: .semibold)], for: .selected)
        selectedIndex = 1
        tabBar.barTintColor = .black
        tabBar.backgroundColor = .black
        tabBar.tintColor = .black
    }
}
